Skip to main content
Resource Center/Resource Pool/VM Instance Operations

SetVmRDP

SetVmRDP

PUT/zstack/v1/vm-instances/{uuid}/actions

Operation ID

SetVmRDP

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • enable
    booleanRequired

    Whether the RDP switch is enabled for the VM instance. That is, whether the VM instance can be accessed through RDP.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.